/**
 * Component to render data for site sheet
 * @class SiteSheet
 */
export class SiteSheet {
    /**
     * @param {object} data
     */
    set siteData(data) {
        this._siteData = data;
    }

    render() {
        return `<div class="container has-bottom-border">
            <table class="table is-fullwidth is-striped">
                <tr class="is-link"><th class="is-size-5 has-text-centered" colspan=2>Identificazione</th></tr>
                <tr><th>Denominazione</th><td>${this._siteData.denominazione}</td></tr>
                <tr><th>Definizione</th><td>${this._siteData.definizione}</td></tr>
                <tr class="is-link"><th class="is-size-5 has-text-centered" colspan=2>Localizzazione geografico-amministrativa</th></tr>
                <tr><th>Comune</th><td>${this._siteData.comune}</td></tr>
                <tr><th>Indirizzo</th><td>${this._siteData.indirizzo}</td></tr>
                <tr><th>Località</th><td>${this._siteData.localita}</td></tr>
                <tr><th>Localizzazione</th><td>${this._siteData.localizzazione}</td></tr>
                <tr class="is-link"><th class="is-size-5 has-text-centered" colspan=2>Cronologia</th></tr>
                <tr><th>Periodo</th><td>${this._siteData.periodo}</td></tr>
                <tr><th>Fase</th><td>${this._siteData.fase}</td></tr>
                <tr><th>Cronologia</th><td>${this._siteData.cronologia}</td></tr>
                <tr><th>Motivazione cronologia</th><td>${this._siteData.motivazione_cron}</td></tr>
                <tr class="is-link"><th class="is-size-5 has-text-centered" colspan=2>Conservazione e condizione giuridica</th></tr>
                <tr><th>Stato di conservazione</th><td>${this._siteData.stato_conserv}</td></tr>
                <tr><th>Tutela vigente</th><td>${this._siteData.tutela_vigente}</td></tr>
                <tr class="is-link"><th class="is-size-5 has-text-centered" colspan=2>Ritrovamento e materiali</th></tr>
                <tr><th>Anno di ritrovamento</th><td>${this._siteData.ritrovamento}</td></tr>
                <tr><th>Materiali rinvenuti</th><td>${this._siteData.materiali_rinv}</td></tr>
                <tr><th>Luogo custodia materiali</th><td>${this._siteData.luogo_custodia_mat}</td></tr>
                <tr class="is-link"><th class="is-size-5 has-text-centered" colspan=2>Descrizione</th></tr>
                <tr><td class="pr-6 pl-6 pt-3" colspan="2">${this._siteData.descrizione}</td></tr>
            </table>
        </div>`;
    }

    renderShort() {
        return `
        <div class="container ml-3">
            <p class="p-2">
                <span class="icon has-text-link">
                    <i class="fa fa-tag"></i>
                </span>
                <strong>Denominazione:</strong> ${this._siteData.denominazione}
            </p>
            <p class="p-2">
                <span class="icon has-text-link">
                    <i class="fa fa-hourglass"></i>
                </span>
                <strong>Periodo:</strong> ${this._siteData.periodo}
            </p>
            <p class="p-2">
                <span class="icon has-text-link">
                    <i class="fa fa-map"></i>
                </span>
                <strong>Località generica:</strong> ${this._siteData.loc_generica}
            </p>
            <p class="mt-4 pl-2 pr-5">
                ${this._siteData.desc_breve}
            </p>
        </div>`;
    }
}